export class LoadCongEventDetail {
    static readonly type = '[CongEventDetail] Load CongEventDetail';
    constructor(public id: number) {
    }
}

export class LoadCongEventLeaders {
    static readonly type = '[CongEventDetail] Load Congress Event Leaders';
    constructor(public id: number) {
    }
}

export class LoadCongEventTeamPhotos {
    static readonly type = '[CongEventDetail] Load Team Photos';
    constructor(
        public teamsIds: number[],
    ) {
    }
}

export class LoadCongEventCandidates {
    static readonly type = '[CongEventDetail] Load Team Photos';
    constructor(
        public eventId: number,
    ) {
    }

}

export class LoadCongEventFunctions {
    static readonly type = '[CongEventDetail] Load Congress Event Functions';
    constructor(public id: number) {
    }
}

export class LoadCongEventFunctionsMax {
    static readonly type = '[CongEventDetail] Load Congress Event Functions max';
    constructor(public id: number) {
    }
}
export class LoadCongEventDecisions {
    static readonly type = '[CongEventDetail] Load Congress Event Decisisions';
    constructor(public id: number) {
    }
}